{
  "psdataentityname" : "ANNOTATION",
  "decat" : "DEFAULT",
  "validflag" : 1,
  "logicvalid" : 0,
  "detype" : 1,
  "codename" : "Annotation",
  "noviewmode" : 1,
  "createdate" : "2020-08-07 09:43:50",
  "memo" : "Note that is attached to one or more objects, including other notes.",
  "useraction" : 0,
  "logicname" : "注释",
  "existingmodel" : 0,
  "systemflag" : 0,
  "tablename" : "ANNOTATION",
  "psdedbcfgs" : [ {
    "validflag" : 1,
    "createdate" : "2020-08-07 09:43:50",
    "psdedbcfgname" : "MYSQL5"
  } ],
  "psdedrgroups" : [ {
    "codename" : "Auto50",
    "createdate" : "2020-08-07 09:43:50",
    "psdedrgroupname" : "详细信息",
    "ordervalue" : 10000
  } ],
  "psdefields" : [ {
    "usertag" : "Uniqueidentifier",
    "enableuserinput" : 3,
    "psdefieldname" : "ANNOTATIONID",
    "psdatatypename" : "全局唯一标识，文本类型，用户不可见",
    "pssysdbcolumnid" : "DEFAULT/ANNOTATION/ANNOTATIONID",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "AnnotationId",
    "psdatatypeid" : "GUID",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ANNOTATION",
    "indextype" : 0,
    "pkey" : 1,
    "length" : 60,
    "logicname" : "注释",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "psdefformitems" : [ {
      "codename" : "Auto2761",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[ANNOTATIONID][AnnotationId]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "ANNOTATIONID",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "DateTime",
    "enableuserinput" : 0,
    "psdefieldname" : "CREATEDATE",
    "psdatatypename" : "日期时间型",
    "pssysdbcolumnid" : "DEFAULT/ANNOTATION/CREATEDATE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "CreateDate",
    "psdatatypeid" : "DATETIME",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ANNOTATION",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "建立时间",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto3527",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[CREATEDATE][CreateDate]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "CREATEDATE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "String",
    "enableuserinput" : 0,
    "psdefieldname" : "CREATEMAN",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/ANNOTATION/CREATEMAN",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "CreateMan",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ANNOTATION",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 60,
    "logicname" : "建立人",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto4569",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[CREATEMAN][CreateMan]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "CREATEMAN",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Boolean",
    "enableuserinput" : 3,
    "psdefieldname" : "DOCUMENT",
    "psdatatypename" : "是否逻辑",
    "pssysdbcolumnid" : "DEFAULT/ANNOTATION/DOCUMENT",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Document",
    "psdatatypeid" : "YESNO",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ANNOTATION",
    "pscodelistname" : "是否",
    "defaultvalue" : "0",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "是文档",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "pscodelistid" : "YesNo",
    "psdefformitems" : [ {
      "codename" : "Auto1434",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[DOCUMENT][Document]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "DOCUMENT",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "String",
    "enableuserinput" : 3,
    "psdefieldname" : "DOCUMENTBODY",
    "psdatatypename" : "长文本，没有长度限制",
    "pssysdbcolumnid" : "DEFAULT/ANNOTATION/DOCUMENTBODY",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "DocumentBody",
    "psdatatypeid" : "LONGTEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ANNOTATION",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "文档",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto4609",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[DOCUMENTBODY][DocumentBody]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "DOCUMENTBODY",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "String",
    "enableuserinput" : 3,
    "psdefieldname" : "FILENAME",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/ANNOTATION/FILENAME",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "FileName",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ANNOTATION",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 255,
    "logicname" : "文件名",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto2321",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[FILENAME][FileName]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "FILENAME",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "String",
    "enableuserinput" : 3,
    "psdefieldname" : "FILEPOINTER",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/ANNOTATION/FILEPOINTER",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "FilePointer",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ANNOTATION",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 255,
    "logicname" : "FilePointer",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto4645",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[FILEPOINTER][FilePointer]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "FILEPOINTER",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Integer",
    "enableuserinput" : 3,
    "psdefieldname" : "FILESIZE",
    "psdatatypename" : "整型",
    "pssysdbcolumnid" : "DEFAULT/ANNOTATION/FILESIZE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "FileSize",
    "psdatatypeid" : "INT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ANNOTATION",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "文件大小(字节)",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto889",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[FILESIZE][FileSize]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "FILESIZE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Integer",
    "enableuserinput" : 3,
    "psdefieldname" : "IMPORTSEQUENCENUMBER",
    "psdatatypename" : "整型",
    "pssysdbcolumnid" : "DEFAULT/ANNOTATION/IMPORTSEQUENCENUMBER",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "ImportSequenceNumber",
    "psdatatypeid" : "INT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ANNOTATION",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "导入序列号",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto212",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[IMPORTSEQUENCENUMBER][ImportSequenceNumber]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "IMPORTSEQUENCENUMBER",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "String",
    "enableuserinput" : 3,
    "psdefieldname" : "LANGID",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/ANNOTATION/LANGID",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "LangId",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ANNOTATION",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 2,
    "logicname" : "语言 ID",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto1650",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[LANGID][LangId]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "LANGID",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "String",
    "enableuserinput" : 3,
    "psdefieldname" : "MIMETYPE",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/ANNOTATION/MIMETYPE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "MimeType",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ANNOTATION",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 256,
    "logicname" : "MIME 类型",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto4253",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[MIMETYPE][MimeType]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "MIMETYPE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Memo",
    "enableuserinput" : 3,
    "psdefieldname" : "NOTETEXT",
    "psdatatypename" : "长文本，没有长度限制",
    "pssysdbcolumnid" : "DEFAULT/ANNOTATION/NOTETEXT",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "NoteText",
    "psdatatypeid" : "LONGTEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ANNOTATION",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "说明",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto1175",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[NOTETEXT][NoteText]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "NOTETEXT",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Lookup",
    "enableuserinput" : 3,
    "psdefieldname" : "OBJECTID",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/ANNOTATION/OBJECTID",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "ObjectId",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ANNOTATION",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 100,
    "logicname" : "关于",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "usertag2" : "account,appointment,bookableresource,bookableresourcebooking,bookableresourcebookingheader,book...",
    "psdefformitems" : [ {
      "codename" : "Auto2322",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[OBJECTID][ObjectId]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "OBJECTID",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "EntityName",
    "enableuserinput" : 3,
    "psdefieldname" : "OBJECTTYPECODE",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/ANNOTATION/OBJECTTYPECODE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "ObjectTypeCode",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ANNOTATION",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 100,
    "logicname" : "相关对象类型",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto3620",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[OBJECTIDTYPECODE][ObjectIdTypeCode]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "OBJECTTYPECODE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "DateTime",
    "enableuserinput" : 3,
    "psdefieldname" : "OVERRIDDENCREATEDON",
    "psdatatypename" : "日期时间型",
    "pssysdbcolumnid" : "DEFAULT/ANNOTATION/OVERRIDDENCREATEDON",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "OverriddenCreatedOn",
    "psdatatypeid" : "DATETIME",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ANNOTATION",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "创建记录的时间",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto4273",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[OVERRIDDENCREATEDON][OverriddenCreatedOn]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "OVERRIDDENCREATEDON",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Owner",
    "enableuserinput" : 3,
    "psdefieldname" : "OWNERID",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/ANNOTATION/OWNERID",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "OwnerId",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ANNOTATION",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 60,
    "logicname" : "负责人",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "usertag2" : "systemuser,team",
    "psdefformitems" : [ {
      "codename" : "Auto1454",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[OWNERID][OwnerId]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "OWNERID",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "String",
    "enableuserinput" : 3,
    "psdefieldname" : "OWNERNAME",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/ANNOTATION/OWNERNAME",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "OwnerName",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ANNOTATION",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 100,
    "logicname" : "负责人",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "psdefformitems" : [ {
      "codename" : "Auto2341",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[OWNERIDYOMINAME][OwnerIdYomiName]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ]
  }, {
    "usertag" : "EntityName",
    "enableuserinput" : 3,
    "psdefieldname" : "OWNERTYPE",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/ANNOTATION/OWNERTYPE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "OwnerType",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ANNOTATION",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 100,
    "logicname" : "负责人类型",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "psdefformitems" : [ {
      "codename" : "Auto1051",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[OWNERIDTYPE][OwnerIdType]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "OWNERTYPE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "String",
    "enableuserinput" : 3,
    "psdefieldname" : "PREFIX",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/ANNOTATION/PREFIX",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Prefix",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ANNOTATION",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 10,
    "logicname" : "Prefix",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto3643",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[PREFIX][Prefix]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "PREFIX",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Boolean",
    "enableuserinput" : 3,
    "psdefieldname" : "PRIVATE",
    "psdatatypename" : "是否逻辑",
    "pssysdbcolumnid" : "DEFAULT/ANNOTATION/PRIVATE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "IBizPrivate",
    "psdatatypeid" : "YESNO",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ANNOTATION",
    "pscodelistname" : "是否",
    "defaultvalue" : "0",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "是否私有",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "pscodelistid" : "YesNo",
    "psdefformitems" : [ {
      "codename" : "Auto657",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[PRIVATE][Private]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "PRIVATE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "String",
    "enableuserinput" : 3,
    "psdefieldname" : "STEPID",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/ANNOTATION/STEPID",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "StepId",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ANNOTATION",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 32,
    "logicname" : "阶段 ID",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto3345",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[STEPID][StepId]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "STEPID",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "String",
    "enableuserinput" : 3,
    "psdefieldname" : "STORAGEPOINTER",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/ANNOTATION/STORAGEPOINTER",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "StoragePointer",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ANNOTATION",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 10,
    "logicname" : "StoragePointer",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto919",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[STORAGEPOINTER][StoragePointer]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "STORAGEPOINTER",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "String",
    "enableuserinput" : 3,
    "psdefieldname" : "SUBJECT",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/ANNOTATION/SUBJECT",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Subject",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ANNOTATION",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 500,
    "logicname" : "标题",
    "majorfield" : 1,
    "deftype" : 1,
    "allowempty" : 0,
    "psdefformitems" : [ {
      "codename" : "Auto2052",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[SUBJECT][Subject]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefsfitems" : [ {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "LIKE",
      "psdbvalueopname" : "文本包含(%)",
      "psdefsfitemname" : "N_SUBJECT_LIKE",
      "createdate" : "2020-08-07 09:43:50"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "SUBJECT",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "DateTime",
    "enableuserinput" : 0,
    "psdefieldname" : "UPDATEDATE",
    "psdatatypename" : "日期时间型",
    "pssysdbcolumnid" : "DEFAULT/ANNOTATION/UPDATEDATE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "UpdateDate",
    "psdatatypeid" : "DATETIME",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ANNOTATION",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "更新时间",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto3548",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[UPDATEDATE][UpdateDate]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "UPDATEDATE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "String",
    "enableuserinput" : 0,
    "psdefieldname" : "UPDATEMAN",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/ANNOTATION/UPDATEMAN",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "UpdateMan",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ANNOTATION",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 60,
    "logicname" : "更新人",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto1515",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[UPDATEMAN][UpdateMan]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "UPDATEMAN",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "BigInt",
    "enableuserinput" : 3,
    "psdefieldname" : "VERSIONNUMBER",
    "psdatatypename" : "大整型",
    "pssysdbcolumnid" : "DEFAULT/ANNOTATION/VERSIONNUMBER",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "VersionNumber",
    "psdatatypeid" : "BIGINT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ANNOTATION",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "版本号",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto3590",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[VERSIONNUMBER][VersionNumber]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "VERSIONNUMBER",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  } ],
  "psdeopprivs" : [ {
    "logicname" : "建立",
    "createdate" : "2020-08-07 09:43:50",
    "psdeopprivname" : "CREATE"
  }, {
    "logicname" : "删除",
    "createdate" : "2020-08-07 09:43:50",
    "psdeopprivname" : "DELETE"
  }, {
    "logicname" : "读取",
    "createdate" : "2020-08-07 09:43:50",
    "psdeopprivname" : "READ"
  }, {
    "logicname" : "更新",
    "createdate" : "2020-08-07 09:43:50",
    "psdeopprivname" : "UPDATE"
  } ],
  "psdetables" : [ {
    "pssysdbtableid" : "DEFAULT/ANNOTATION",
    "psdetablename" : "ANNOTATION",
    "tabletype" : "MAIN",
    "createdate" : "2020-09-02 15:24:11"
  } ],
  "pssysdmitems" : [ {
    "dbobjtype" : "TABLE",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ANNOTATION",
    "userflag" : 0,
    "createsql4" : "CREATE TABLE `ANNOTATION`(\n`IMPORTSEQUENCENUMBER`  INTEGER COMMENT '导入序列号' \n,`PRIVATE`  INTEGER COMMENT '是否私有' \n,`FILESIZE`  INTEGER COMMENT '文件大小(字节)' \n,`STORAGEPOINTER`  VARCHAR(10) COMMENT 'StoragePointer' \n,`NOTETEXT`  MEDIUMTEXT COMMENT '说明' \n,`DOCUMENT`  INTEGER COMMENT '是文档' \n,`OWNERID`  VARCHAR(60) COMMENT '负责人' \n,`OWNERTYPE`  VARCHAR(100) COMMENT '负责人类型' \n,`UPDATEMAN`  VARCHAR(60) COMMENT '更新人' \n,`LANGID`  VARCHAR(2) COMMENT '语言 ID' \n,`OWNERNAME`  VARCHAR(100) COMMENT '负责人' \n,`SUBJECT`  VARCHAR(500) COMMENT '标题' \n,`FILENAME`  VARCHAR(255) COMMENT '文件名' \n,`OBJECTID`  VARCHAR(100) COMMENT '关于' \n,`ANNOTATIONID`  VARCHAR(60)  NOT NULL PRIMARY KEY COMMENT '注释' \n,`OBJECTTYPECODE`  VARCHAR(100) COMMENT '相关对象类型' \n,`STEPID`  VARCHAR(32) COMMENT '阶段 ID' \n,`CREATEDATE`  DATETIME COMMENT '建立时间' \n,`UPDATEDATE`  DATETIME COMMENT '更新时间' \n,`VERSIONNUMBER`  BIGINT(20) COMMENT '版本号' \n,`PREFIX`  VARCHAR(10) COMMENT 'Prefix' \n,`MIMETYPE`  VARCHAR(256) COMMENT 'MIME 类型' \n,`OVERRIDDENCREATEDON`  DATETIME COMMENT '创建记录的时间' \n,`CREATEMAN`  VARCHAR(60) COMMENT '建立人' \n,`DOCUMENTBODY`  MEDIUMTEXT COMMENT '文档' \n,`FILEPOINTER`  VARCHAR(255) COMMENT 'FilePointer' \n)COMMENT='注释';",
    "testsql" : "SELECT 1 FROM `ANNOTATION` WHERE 1<>1",
    "psobjid" : "64b3cdfcd4266b2109b52d1b213dd556",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "ANNOTATION",
    "createdate" : "2020-08-07 09:50:26"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ANNOTATION.ANNOTATIONID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ANNOTATION`\nADD COLUMN `ANNOTATIONID`  VARCHAR(60)  COMMENT '注释' \n",
    "testsql" : "SELECT `ANNOTATIONID` FROM `ANNOTATION` WHERE 1<>1",
    "psobjid" : "96b52fcd25c9429bb0c018a048be88a8",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "ANNOTATIONID",
    "createdate" : "2020-08-07 09:50:26"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ANNOTATION.CREATEDATE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ANNOTATION`\nADD COLUMN `CREATEDATE`  DATETIME  COMMENT '建立时间' \n",
    "testsql" : "SELECT `CREATEDATE` FROM `ANNOTATION` WHERE 1<>1",
    "psobjid" : "bfbd160475de6f7c15bbcd2b44065566",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CREATEDATE",
    "createdate" : "2020-08-07 09:50:26"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ANNOTATION.CREATEMAN",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ANNOTATION`\nADD COLUMN `CREATEMAN`  VARCHAR(60)  COMMENT '建立人' \n",
    "testsql" : "SELECT `CREATEMAN` FROM `ANNOTATION` WHERE 1<>1",
    "psobjid" : "fad33df15854433c8d49271701858ec0",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CREATEMAN",
    "createdate" : "2020-08-07 09:50:27"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ANNOTATION.DOCUMENT",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ANNOTATION`\nADD COLUMN `DOCUMENT`  INTEGER  COMMENT '是文档' \n",
    "testsql" : "SELECT `DOCUMENT` FROM `ANNOTATION` WHERE 1<>1",
    "psobjid" : "4f3a585d09aa46ffca6f19492b2185d6",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "DOCUMENT",
    "createdate" : "2020-08-07 09:50:26"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ANNOTATION.DOCUMENTBODY",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ANNOTATION`\nADD COLUMN `DOCUMENTBODY`  MEDIUMTEXT  COMMENT '文档' \n",
    "testsql" : "SELECT `DOCUMENTBODY` FROM `ANNOTATION` WHERE 1<>1",
    "psobjid" : "fd399907000b6f55258e4e2866a22afe",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "DOCUMENTBODY",
    "createdate" : "2020-08-07 09:50:27"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ANNOTATION.FILENAME",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ANNOTATION`\nADD COLUMN `FILENAME`  VARCHAR(255)  COMMENT '文件名' \n",
    "testsql" : "SELECT `FILENAME` FROM `ANNOTATION` WHERE 1<>1",
    "psobjid" : "8071015214246ffa7752c073bd3bcd90",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "FILENAME",
    "createdate" : "2020-08-07 09:50:26"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ANNOTATION.FILEPOINTER",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ANNOTATION`\nADD COLUMN `FILEPOINTER`  VARCHAR(255)  COMMENT 'FilePointer' \n",
    "testsql" : "SELECT `FILEPOINTER` FROM `ANNOTATION` WHERE 1<>1",
    "psobjid" : "ff4d811f79983efa377391d86de5418d",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "FILEPOINTER",
    "createdate" : "2020-08-07 09:50:27"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ANNOTATION.FILESIZE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ANNOTATION`\nADD COLUMN `FILESIZE`  INTEGER  COMMENT '文件大小(字节)' \n",
    "testsql" : "SELECT `FILESIZE` FROM `ANNOTATION` WHERE 1<>1",
    "psobjid" : "313370bdb7226839ac28f3a58e266d9a",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "FILESIZE",
    "createdate" : "2020-08-07 09:50:26"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ANNOTATION.IMPORTSEQUENCENUMBER",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ANNOTATION`\nADD COLUMN `IMPORTSEQUENCENUMBER`  INTEGER  COMMENT '导入序列号' \n",
    "testsql" : "SELECT `IMPORTSEQUENCENUMBER` FROM `ANNOTATION` WHERE 1<>1",
    "psobjid" : "0b7a994d9feccc221a388345c1e663e6",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "IMPORTSEQUENCENUMBER",
    "createdate" : "2020-08-07 09:50:26"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ANNOTATION.LANGID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ANNOTATION`\nADD COLUMN `LANGID`  VARCHAR(2)  COMMENT '语言 ID' \n",
    "testsql" : "SELECT `LANGID` FROM `ANNOTATION` WHERE 1<>1",
    "psobjid" : "5b7c5eb51f46e41278ed4098fdee9698",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "LANGID",
    "createdate" : "2020-08-07 09:50:26"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ANNOTATION.MIMETYPE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ANNOTATION`\nADD COLUMN `MIMETYPE`  VARCHAR(256)  COMMENT 'MIME 类型' \n",
    "testsql" : "SELECT `MIMETYPE` FROM `ANNOTATION` WHERE 1<>1",
    "psobjid" : "e9334ba8d75886c44e4e15c354987582",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "MIMETYPE",
    "createdate" : "2020-08-07 09:50:27"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ANNOTATION.NOTETEXT",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ANNOTATION`\nADD COLUMN `NOTETEXT`  MEDIUMTEXT  COMMENT '说明' \n",
    "testsql" : "SELECT `NOTETEXT` FROM `ANNOTATION` WHERE 1<>1",
    "psobjid" : "41fd17b1672b14b21c73369e05768cec",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "NOTETEXT",
    "createdate" : "2020-08-07 09:50:26"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ANNOTATION.OBJECTID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ANNOTATION`\nADD COLUMN `OBJECTID`  VARCHAR(100)  COMMENT '关于' \n",
    "testsql" : "SELECT `OBJECTID` FROM `ANNOTATION` WHERE 1<>1",
    "psobjid" : "8076b2a8df3edd02bbdc25daffdaa7ff",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "OBJECTID",
    "createdate" : "2020-08-07 09:50:26"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ANNOTATION.OBJECTTYPECODE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ANNOTATION`\nADD COLUMN `OBJECTTYPECODE`  VARCHAR(100)  COMMENT '相关对象类型' \n",
    "testsql" : "SELECT `OBJECTTYPECODE` FROM `ANNOTATION` WHERE 1<>1",
    "psobjid" : "9d3caefab4bb09c34e04d703085dc9a6",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "OBJECTTYPECODE",
    "createdate" : "2020-08-07 09:50:26"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ANNOTATION.OVERRIDDENCREATEDON",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ANNOTATION`\nADD COLUMN `OVERRIDDENCREATEDON`  DATETIME  COMMENT '创建记录的时间' \n",
    "testsql" : "SELECT `OVERRIDDENCREATEDON` FROM `ANNOTATION` WHERE 1<>1",
    "psobjid" : "ea4ef35f731e9111673948a4bc1121c5",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "OVERRIDDENCREATEDON",
    "createdate" : "2020-08-07 09:50:27"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ANNOTATION.OWNERID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ANNOTATION`\nADD COLUMN `OWNERID`  VARCHAR(60)  COMMENT '负责人' \n",
    "testsql" : "SELECT `OWNERID` FROM `ANNOTATION` WHERE 1<>1",
    "psobjid" : "501cf9ce98ee205790c6448f220fc2e8",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "OWNERID",
    "createdate" : "2020-08-07 09:50:26"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ANNOTATION.OWNERNAME",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ANNOTATION`\nADD COLUMN `OWNERNAME`  VARCHAR(100)  COMMENT '负责人' \n",
    "testsql" : "SELECT `OWNERNAME` FROM `ANNOTATION` WHERE 1<>1",
    "psobjid" : "65e180ee0fef36e07eba781e7bb8cec3",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "OWNERNAME",
    "createdate" : "2020-08-07 09:50:26"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ANNOTATION.OWNERTYPE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ANNOTATION`\nADD COLUMN `OWNERTYPE`  VARCHAR(100)  COMMENT '负责人类型' \n",
    "testsql" : "SELECT `OWNERTYPE` FROM `ANNOTATION` WHERE 1<>1",
    "psobjid" : "51469a0243aab11a2098ac6858a3aa34",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "OWNERTYPE",
    "createdate" : "2020-08-07 09:50:26"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ANNOTATION.PREFIX",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ANNOTATION`\nADD COLUMN `PREFIX`  VARCHAR(10)  COMMENT 'Prefix' \n",
    "testsql" : "SELECT `PREFIX` FROM `ANNOTATION` WHERE 1<>1",
    "psobjid" : "c68a91aaa0843471d81233826e1a82e0",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PREFIX",
    "createdate" : "2020-08-07 09:50:27"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ANNOTATION.PRIVATE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ANNOTATION`\nADD COLUMN `PRIVATE`  INTEGER  COMMENT '是否私有' \n",
    "testsql" : "SELECT `PRIVATE` FROM `ANNOTATION` WHERE 1<>1",
    "psobjid" : "2470d86c5515d6d2853348334204d226",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PRIVATE",
    "createdate" : "2020-08-07 09:50:26"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ANNOTATION.STEPID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ANNOTATION`\nADD COLUMN `STEPID`  VARCHAR(32)  COMMENT '阶段 ID' \n",
    "testsql" : "SELECT `STEPID` FROM `ANNOTATION` WHERE 1<>1",
    "psobjid" : "b479cde31de249c90ef12c8df1c20a35",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "STEPID",
    "createdate" : "2020-08-07 09:50:26"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ANNOTATION.STORAGEPOINTER",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ANNOTATION`\nADD COLUMN `STORAGEPOINTER`  VARCHAR(10)  COMMENT 'StoragePointer' \n",
    "testsql" : "SELECT `STORAGEPOINTER` FROM `ANNOTATION` WHERE 1<>1",
    "psobjid" : "32e6e579d69e7a9e1fe8a2e05ef7077f",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "STORAGEPOINTER",
    "createdate" : "2020-08-07 09:50:26"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ANNOTATION.SUBJECT",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ANNOTATION`\nADD COLUMN `SUBJECT`  VARCHAR(500)  COMMENT '标题' \n",
    "testsql" : "SELECT `SUBJECT` FROM `ANNOTATION` WHERE 1<>1",
    "psobjid" : "713e921dca6a3bbd11d04d18feeda7a9",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "SUBJECT",
    "createdate" : "2020-08-07 09:50:26"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ANNOTATION.UPDATEDATE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ANNOTATION`\nADD COLUMN `UPDATEDATE`  DATETIME  COMMENT '更新时间' \n",
    "testsql" : "SELECT `UPDATEDATE` FROM `ANNOTATION` WHERE 1<>1",
    "psobjid" : "c11a9178dd0fe9497e411df06b728580",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "UPDATEDATE",
    "createdate" : "2020-08-07 09:50:26"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ANNOTATION.UPDATEMAN",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ANNOTATION`\nADD COLUMN `UPDATEMAN`  VARCHAR(60)  COMMENT '更新人' \n",
    "testsql" : "SELECT `UPDATEMAN` FROM `ANNOTATION` WHERE 1<>1",
    "psobjid" : "5326ed341de2031b898395cc4bc93013",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "UPDATEMAN",
    "createdate" : "2020-08-07 09:50:26"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ANNOTATION.VERSIONNUMBER",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ANNOTATION`\nADD COLUMN `VERSIONNUMBER`  BIGINT(20)  COMMENT '版本号' \n",
    "testsql" : "SELECT `VERSIONNUMBER` FROM `ANNOTATION` WHERE 1<>1",
    "psobjid" : "c34d6f7ded91fe4c6654014c033da33c",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "VERSIONNUMBER",
    "createdate" : "2020-08-07 09:50:27"
  } ]
}